#
# spec file for package libdfp (Version 1.0.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib

Url:            http://www.eglibc.org/cgi-bin/viewcvs.cgi/libdfp/trunk/

Name:           libdfp
License:        LGPL v2.1 only
Summary:        Decimal floating point library
Version:        1.0.3
Release:        0.2
AutoReqProv:    on
Source:         libdfp-%{version}.tar.bz2
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel
ExclusiveArch:  s390 s390x ppc ppc64 x86_64
Patch:          fix-s390-numdigits.diff

%description
A library containing support routines for calculating with and printing
decimal floating point values.



%debug_package
%package -n libdfp1
License:        LGPL v2.1 only
Summary:        Decimal floating point library
Group:          Development/Libraries/C and C++
AutoReqProv:    on

%description -n libdfp1
A library containing support routines for calculating with and printing
decimal floating point values.



%package -n libdfp-devel
License:        LGPL v2.1 only
Summary:        Decimal floating point library
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       libdfp1 = %{version}

%description -n libdfp-devel
A library containing support routines for calculating with and printing
decimal floating point values.



%prep
%setup -n %{name}
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
mkdir build
cd build
../configure --prefix=/usr --enable-decimal-float=yes
make %{?jobs:-j%jobs} -C libdecnumber DEFS="-D__STDC_DEC_FP__=200704L" CFLAGS="$CFLAGS -fPIC"
make %{?jobs:-j%jobs}
cd ..
%ifarch s390 s390x
mkdir build-ec
cd build-ec
../configure --prefix=/usr --with-cpu=z9-ec --enable-decimal-float=yes
make %{?jobs:-j%jobs} -C libdecnumber DEFS="-D__STDC_DEC_FP__=200704L" CFLAGS="$CFLAGS -fPIC"
make %{?jobs:-j%jobs}
cd ..
%else
%ifarch ppc ppc64
mkdir buildp6
cd buildp6
../configure --prefix=/usr --with-cpu=power6 --enable-decimal-float=yes
make %{?jobs:-j%jobs} -C libdecnumber DEFS="-D__STDC_DEC_FP__=200704L" CFLAGS="$CFLAGS -fPIC"
make %{?jobs:-j%jobs}
cd ..
mkdir buildp7
cd buildp7
../configure --prefix=/usr --with-cpu=power7 --enable-decimal-float=yes
make %{?jobs:-j%jobs} -C libdecnumber DEFS="-D__STDC_DEC_FP__=200704L" CFLAGS="$CFLAGS -fPIC"
make %{?jobs:-j%jobs}
cd ..
%endif
%endif

%install
cd build
install -d $RPM_BUILD_ROOT/%{_includedir}/dfp/
install -m644 -t $RPM_BUILD_ROOT/%{_includedir}/dfp/ ../dfp/*
install -d $RPM_BUILD_ROOT/%{_libdir}
install -t $RPM_BUILD_ROOT/%{_libdir}/ libdfp-%{version}.so libdfp.a
pushd $RPM_BUILD_ROOT/%{_libdir}/
ln -sf libdfp-%{version}.so libdfp.so.1
ln -sf libdfp.so.1 libdfp.so
popd
%ifarch s390 s390x
cd ../build-ec
install -d $RPM_BUILD_ROOT/%{_libdir}/dfp
install -t $RPM_BUILD_ROOT/%{_libdir}/dfp libdfp-%{version}.so libdfp.a
pushd $RPM_BUILD_ROOT/%{_libdir}/dfp
ln -sf libdfp-%{version}.so libdfp.so.1
ln -sf libdfp.so.1 libdfp.so
popd
cd ..
%endif
%ifarch ppc ppc64
cd ../buildp6
install -d $RPM_BUILD_ROOT/%{_libdir}/power6
install -t $RPM_BUILD_ROOT/%{_libdir}/power6 libdfp-%{version}.so libdfp.a
pushd $RPM_BUILD_ROOT/%{_libdir}/power6
ln -sf libdfp-%{version}.so libdfp.so.1
ln -sf libdfp.so.1 libdfp.so
popd
cd ../buildp7
install -d $RPM_BUILD_ROOT/%{_libdir}/power7
install -t $RPM_BUILD_ROOT/%{_libdir}/power7 libdfp-%{version}.so libdfp.a
pushd $RPM_BUILD_ROOT/%{_libdir}/power7
ln -sf libdfp-%{version}.so libdfp.so.1
ln -sf libdfp.so.1 libdfp.so
popd
cd ..
%endif
find $RPM_BUILD_ROOT/%{_libdir} -name '*.a' | xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libdfp1 -p /sbin/ldconfig

%postun -n libdfp1 -p /sbin/ldconfig

%files -n libdfp1
%defattr(-,root,root)
%{_libdir}/lib*so.*
%{_libdir}/libdfp-*.so
%ifarch s390 s390x
%dir %{_libdir}/dfp/
%endif
%ifarch ppc ppc64
%dir %{_libdir}/power6/
%dir %{_libdir}/power7/
%endif
%{_libdir}/*/lib*so.*
%{_libdir}/*/libdfp-*.so

%files -n libdfp-devel
%defattr(-,root,root)
%{_includedir}/dfp
%{_libdir}/libdfp.so
%{_libdir}/*/libdfp.so
%{_libdir}/libdfp.a
%{_libdir}/*/libdfp.a

%changelog
* Thu Oct 07 2010 matz@suse.de
- Update to version 1.0.3, fixing several bugs, among
  them wrong strtod32/64/128 behaviour.  [bnc #635803, #635809]
* Tue Feb 23 2010 matz@suse.de
- Package the s390(x) hw-accelerated libdfp into libdir/dfp.
  Compile libdecnumber with -D__STDC_DEC_FP__=200704L to define
  the correct internal symbols.
  [bnc #582176]
* Wed Feb 10 2010 matz@suse.de
- Remove the requires on libdfp-32bit.  [bnc #578613]
* Fri Feb 05 2010 matz@suse.de
- Enable build for s390, otherwise 31bit libs would be missing.
  [bnc #572581 again]
* Thu Jan 21 2010 matz@suse.de
- Update to 1.0.1, build soft-fp plus power6/power7/z9-ec variants,
  add baselibs.conf.  [bnc #572581]
* Fri Nov 20 2009 matz@suse.de
- New package.  [fate #304044, #307062]
